Bug 810855 - Fedora 17Alpha. HP OfficeJet 4500 Scanner isn't being recognized by Simple Scan app. [NEEDINFO]
Fedora 17Alpha. HP OfficeJet 4500 Scanner isn't being recognized by Simple Sc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 08:26 EDT by Anthony Altemara
Modified: 2015-02-17 09:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:12:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (aaltemara)


Attachments (Terms of Use)

  None (edit)
Description Anthony Altemara 2012-04-09 08:26:21 EDT
Description of problem:

My HP OfficeJet 4500 (all-in-one) scanner isn't being recognized by Simple Scan app. This was working in Fedora 16.

Version-Release number of selected component (if applicable):
simple-scan-3.4.0-1.fc17.x86_64

How reproducible:

Steps to Reproduce:
1.Plug in the scanner via USB. 
2.open 'simple scan' app.
3.Message 'No scanners detected' appears.
  
Actual results:
Can't scan.

Expected results:
Scanner appears in list, and able to scan.

Additional info:
I'm running latest updates.
This worked in Fedora 16

relevant /var/log/messages after plugging in usb scanner:


Apr  9 08:14:19 e6510 kernel: [102757.746075] usb 2-1.1: new high-speed USB device number 7 using ehci_hcd
Apr  9 08:14:20 e6510 kernel: [102757.832071] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=2d12
Apr  9 08:14:20 e6510 kernel: [102757.832077] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr  9 08:14:20 e6510 kernel: [102757.832081] usb 2-1.1: Product: Officejet 4500 G510g-m
Apr  9 08:14:20 e6510 kernel: [102757.832084] usb 2-1.1: Manufacturer: HP
Apr  9 08:14:20 e6510 kernel: [102757.832086] usb 2-1.1: SerialNumber: CN09DF10C205CQ
Apr  9 08:14:20 e6510 kernel: [102757.834289] usblp1: USB Bidirectional printer dev 7 if 1 alt 0 proto 2 vid 0x03F0 pid 0x2D12
Apr  9 08:14:20 e6510 udevd[340]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /usr/lib/udev/rules.d/40-multipath.rules:16 and use libudev to subscribe to events.
Apr  9 08:14:20 e6510 mtp-probe: checking bus 2, device 7: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1"
Apr  9 08:14:20 e6510 mtp-probe: bus: 2, device: 7 was not an MTP device
Apr  9 08:14:21 e6510 udev-configure-printer: Re-enabled printer ipp://localhost:631/printers/Officejet-4500-G510g-m






LSPCI:
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 05)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 05)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
02:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
03:00.0 CardBus bridge: Ricoh Co Ltd Device e476 (rev 02)
03:00.1 SD Host controller: Ricoh Co Ltd MMC/SD Host Controller (rev 03)
03:00.4 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev 03)
3f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
3f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
3f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
3f:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
3f:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
3f:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)


[root@e6510 anthony]# uname -a
Linux e6510 3.3.0-8.fc17.x86_64 #1 SMP Thu Mar 29 18:18:26 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


[root@e6510 anthony]# sane-find-scanner 

found USB scanner (vendor=0x03f0 [HP], product=0x2d12 [Officejet 4500 G510g-m]) at libusb:002:007


I am able to print to the printer.
Comment 1 Joshua Rosen 2012-09-20 14:56:47 EDT
I see the same problem. I have an Office Jet Pro L7650, works fine with F14 and with Scientific Linux 6.3, scanner doesn't work with F17. Xsane reports 'hpaio/usb/Officejet_Pro_L7600?serial=MY7BI6508Y': End of File Reached. Simple_scan just says unable to connect with the scanner.

sane-find-scanner
found USB scanner (vendor=0x03f0 [HP], product=0x2212 [Officejet Pro L7600]) at libusb:001:016
Comment 2 Joshua Rosen 2013-05-15 09:03:47 EDT
It's still not functioning in Fedora 19. Also it stopped working in Scientic Linux 6.4 (RHEL 6.4 clone). It works fine in 6.3.
Comment 3 Joshua Rosen 2013-05-16 10:16:08 EDT
I found the solution for SL 6.4. The user needs to be added to the lp group. The latest RPM from HP, hplip-3.13.5_rhel-6.0.x86_64.rpm, installs a checker that looks to see if the user is a member of the lp group, if not it asks to add the user to the group. The best solution would be for all users to automatically be members of the lp group,
Comment 4 Joshua Rosen 2013-06-15 14:12:11 EDT
The same problem exists in Fedora 19 Beta. Adding the user to the lp group fixes it here also but it really shouldn't be necessary to do something like that.
Comment 5 Fedora Admin XMLRPC Client 2014-03-08 12:27:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 David King 2014-03-11 08:40:47 EDT
Simple Scan is reporting the available scanners correctly, so I do not hink that it is a bug in Simple Scan. I do not know if the problem still exists with hplip, as I do not have hardware to test, so I am reassigning to that component so that it can be triaged correctly.
Comment 7 Tim Waugh 2014-03-11 11:20:17 EDT
In Fedora, file access control lists are used to enable local users to be able to scan.

The hplip-common package ships the /usr/lib/udev/rules.d/56-hpmud.rules file which sets ID_HPLIP=1 for appropriate devices (/dev/bus/usb/???/???).

The system 70-uaccess.rules file adds the 'uaccess' tag to any ID_HPLIP=1 devices.

Finally, the systemd-logind process then takes care of adding file ACLs to the device nodes tagged with 'uaccess', and removing them on logout.

Here's my scanner, for example:

$ getfacl /dev/bus/usb/001/006
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/001/006
# owner: root
# group: lp
user::rw-
user:twaugh:rw-
group::rw-
mask::rw-
other::r--

So: first question. What does 'rpm -V libsane-hpaio hplip-libs hplip-common' say?
Comment 8 Fedora End Of Life 2015-01-09 12:06:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 09:12:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.